The Spring Framework

## org.springframework.jdbc.support.xml
Interface SqlXmlValue

All Superinterfaces:
  DisposableSqlTypeValue, SqlTypeValue

    public interface SqlXmlValue

extends DisposableSqlTypeValue

Subinterface of `SqlTypeValue` that supports passing in XML data to specified column and adds a cleanup callback, to be invoked after the value has been set and the corresponding statement has been executed.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  `DisposableSqlTypeValue`

Field Summary

Fields inherited from interface org.springframework.jdbc.core.SqlTypeValue
`TYPE_UNKNOWN`

Method Summary

Methods inherited from interface org.springframework.jdbc.core.DisposableSqlTypeValue
`cleanup`

Methods inherited from interface org.springframework.jdbc.core.SqlTypeValue
`setTypeValue`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.